> ## Documentation Index
> Fetch the complete documentation index at: https://fermata-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a user



## OpenAPI

````yaml PATCH /v1/users/{user_id}
openapi: 3.1.0
info:
  version: '0.1'
  title: Fermata API
  summary: >-
    Fermata is a billing engine that supports prepaid balances and real-time
    usage computation
  description: ''
servers:
  - url: https://api.gofermata.com
security:
  - apiKey: []
paths:
  /v1/users/{user_id}:
    patch:
      summary: Update a user
      operationId: patch-users-user_id
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                email:
                  type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/user'
      security:
        - apiKey: []
      servers:
        - url: https://api.gofermata.com
components:
  schemas:
    user:
      x-internal: true
      x-stoplight:
        internallyExcluded: true
        errorMessage: This object is set as internal and excluded.
  securitySchemes:
    apiKey:
      type: http
      scheme: basic

````